Subject: Re: linux-next: manual merge of the kvm-arm tree with the arm64 tree

From: Stephen Rothwell <[email-masked]>
Date: Fri, 23 Jan 2015 10:05:27 +1100

Hi Mark,

On Thu, 22 Jan 2015 10:29:20 +0000 Mark Rutland <[email-masked]> wrote:
>
> On Thu, Jan 22, 2015 at 08:51:54AM +0000, Marc Zyngier wrote:
> > On Thu, Jan 22 2015 at  5:07:04 am GMT, Stephen Rothwell <[email-masked]> wrote:
> > 
> > > Today's linux-next merge of the kvm-arm tree got a conflict in
> > > arch/arm64/include/asm/kvm_arm.h between commit 6e53031ed840 ("arm64:
> > > kvm: remove ESR_EL2_* macros") from the arm64 tree and commit
> > > 0d97f8848104 ("arm/arm64: KVM: add tracing support for arm64 exit
> > > handler") from the kvm-arm tree.
> > >
> > > I fixed it up (see below, but this probably requires more work) and can
> > > carry the fix as necessary (no action is required).
> > 
> > Thanks for dealing with this. I think the following patch should be
> > applied on top of your resolution, making the new macro part of the
> > asm/esr.h file.
> > 
> > Mark, Wei: does it match your expectations?
> 
> The below patch looks fine to me.
> 
> I suspected we mighh see something like this, so I kept my
> arm64/common-esr-macros branch [1] stable. Catalin merged this into the
> arm64 for-next/core branch.
> 
> I guess the easiest way to solve the conflict would be if the kvm-arm
> tree also merged that and fixed the fallout there?

Yes, that would be a good resolution.  In the mean time, I will apply
the merge fix patch to my tree (I will remove it when the above
resolution is done).
-- 
Cheers,
Stephen Rothwell                    [email-masked]